Bug 173395 - [WebIDL] Add support for serializers that have members that are themselves serializers (or inherit being a serializer from a parent)
Summary: [WebIDL] Add support for serializers that have members that are themselves se...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Bindings (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Sam Weinig
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-06-14 17:54 PDT by Sam Weinig
Modified: 2017-06-19 14:55 PDT (History)
9 users (show)

See Also:


Attachments
WIP (24.07 KB, patch)
2017-06-14 17:54 PDT, Sam Weinig
no flags Details | Formatted Diff | Diff
Patch (35.11 KB, patch)
2017-06-18 18:30 PDT, Sam Weinig
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews100 for mac-elcapitan (982.71 KB, application/zip)
2017-06-18 19:37 PDT, Build Bot
no flags Details
Patch (30.77 KB, patch)
2017-06-18 20:33 PDT, Sam Weinig
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sam Weinig 2017-06-14 17:54:01 PDT
We need to add support for serializers that have members that are themselves serializers (or inherit being a serializer from a parent).  DOMQuad uses this as it has attributes that are DOMPoints, which inherit being a serializer through DOMPointReadOnly.
Comment 1 Sam Weinig 2017-06-14 17:54:28 PDT
Created attachment 312939 [details]
WIP
Comment 2 Sam Weinig 2017-06-18 18:30:30 PDT Comment hidden (obsolete)
Comment 3 Build Bot 2017-06-18 19:37:40 PDT Comment hidden (obsolete)
Comment 4 Build Bot 2017-06-18 19:37:41 PDT Comment hidden (obsolete)
Comment 5 Sam Weinig 2017-06-18 20:33:21 PDT
Created attachment 313259 [details]
Patch
Comment 6 Simon Fraser (smfr) 2017-06-19 13:11:46 PDT
Comment on attachment 313259 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=313259&action=review

> Source/WebCore/bindings/scripts/test/JS/JSTestSerializationIndirectInheritance.cpp:18
> +    This library is free software; you can redistribute it and/or
> +    modify it under the terms of the GNU Library General Public
> +    License as published by the Free Software Foundation; either
> +    version 2 of the License, or (at your option) any later version.
> +
> +    This library is distributed in the hope that it will be useful,
> +    but WITHOUT ANY WARRANTY; without even the implied warranty of
> +    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
> +    Library General Public License for more details.
> +
> +    You should have received a copy of the GNU Library General Public License
> +    along with this library; see the file COPYING.LIB.  If not, write to
> +    the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
> +    Boston, MA 02110-1301, USA.

Do we really put LGPL on new generated files?

> LayoutTests/fast/css/DOMQuad-serialization.html:1
> +<!DOCTYPE html>

This might already be tested by web platform tests?
Comment 7 Sam Weinig 2017-06-19 14:25:17 PDT
(In reply to Simon Fraser (smfr) from comment #6)
> Comment on attachment 313259 [details]
> Patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=313259&action=review
> 
> > Source/WebCore/bindings/scripts/test/JS/JSTestSerializationIndirectInheritance.cpp:18
> > +    This library is free software; you can redistribute it and/or
> > +    modify it under the terms of the GNU Library General Public
> > +    License as published by the Free Software Foundation; either
> > +    version 2 of the License, or (at your option) any later version.
> > +
> > +    This library is distributed in the hope that it will be useful,
> > +    but WITHOUT ANY WARRANTY; without even the implied warranty of
> > +    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
> > +    Library General Public License for more details.
> > +
> > +    You should have received a copy of the GNU Library General Public License
> > +    along with this library; see the file COPYING.LIB.  If not, write to
> > +    the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
> > +    Boston, MA 02110-1301, USA.
> 
> Do we really put LGPL on new generated files?

Yup.

> 
> > LayoutTests/fast/css/DOMQuad-serialization.html:1
> > +<!DOCTYPE html>
> 
> This might already be tested by web platform tests?

I don't think it is. Otherwise, I think the test would be failing.
Comment 8 WebKit Commit Bot 2017-06-19 14:55:04 PDT
Comment on attachment 313259 [details]
Patch

Clearing flags on attachment: 313259

Committed r218511: <http://trac.webkit.org/changeset/218511>
Comment 9 WebKit Commit Bot 2017-06-19 14:55:05 PDT
All reviewed patches have been landed.  Closing bug.